Parole tem suporte a codec de áudio Vorbis

1. Parole tem suporte a codec de áudio Vorbis

Morpheus
Minions

(usa Nenhuma)

Enviado em 16/08/2019 - 13:57h



Não esta funcionando o codec de áudio Vorbis


  


2. Re: Parole tem suporte a codec de áudio Vorbis

edps
edps

(usa Slackware)

Enviado em 16/08/2019 - 14:07h


Minions escreveu:



Não esta funcionando o codec de áudio Vorbis


Qual é o sistema quirido?


3. Re: Parole tem suporte a codec de áudio Vorbis

edps
edps

(usa Slackware)

Enviado em 16/08/2019 - 14:30h


Se for Slackware, testado e funcionando no Current:

https://i.imgur.com/QOuZw1t.png

1. Para o Slack 14.2, veja se o pacote oficial vorbis-tools está instalado e do SlackBuilds, o gst-libav..
2. A título de curiosidade... uma das dependências do parole no SlackBuilds sequer está instalada, a gst-libav, porém como estou usando o Slack Current esse pacote já está na árvore oficial com o nome: gst-plugins-libav

Logo, se usar o Current verifique vorbis-tools e gst-plugins-libav


4. Re: Parole tem suporte a codec de áudio Vorbis

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 16/08/2019 - 15:41h

Que distribuição usa?

¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨¨
Albfneto,
Ribeirão Preto, S.P., Brasil.
Usuário Linux, Linux Counter: #479903.
Distros Favoritas: Sabayon, Gentoo, openSUSE, Mageia e OpenMandriva.


5. Re: Parole tem suporte a codec de áudio Vorbis

Morpheus
Minions

(usa Nenhuma)

Enviado em 16/08/2019 - 22:19h

edps escreveu:


Se for Slackware, testado e funcionando no Current:

https://i.imgur.com/QOuZw1t.png

1. Para o Slack 14.2, veja se o pacote oficial vorbis-tools está instalado e do SlackBuilds, o gst-libav..
2. A título de curiosidade... uma das dependências do parole no SlackBuilds sequer está instalada, a gst-libav, porém como estou usando o Slack Current esse pacote já está na árvore oficial com o nome: gst-plugins-libav

Logo, se usar o Current verifique vorbis-tools e gst-plugins-libav




Obrigado em responde ao tópico.

vorbis-tools e gst-libav OK

Será por que estou usando maquina virtual?

Quando muda o codec de áudio Vorbis para mp3 funciona legal no Parole.

No smplayer não tenho problema com o codec de áudio Vorbis.

Obs: O arquivo de vídeo e gerado pelo programa SimpleScreenRecorder.


6. Re: Parole tem suporte a codec de áudio Vorbis

edps
edps

(usa Slackware)

Enviado em 17/08/2019 - 18:20h


Minions escreveu:

edps escreveu:


Se for Slackware, testado e funcionando no Current:

https://i.imgur.com/QOuZw1t.png

1. Para o Slack 14.2, veja se o pacote oficial vorbis-tools está instalado e do SlackBuilds, o gst-libav..
2. A título de curiosidade... uma das dependências do parole no SlackBuilds sequer está instalada, a gst-libav, porém como estou usando o Slack Current esse pacote já está na árvore oficial com o nome: gst-plugins-libav

Logo, se usar o Current verifique vorbis-tools e gst-plugins-libav




Obrigado em responde ao tópico.

vorbis-tools e gst-libav OK

Será por que estou usando maquina virtual?

Quando muda o codec de áudio Vorbis para mp3 funciona legal no Parole.

No smplayer não tenho problema com o codec de áudio Vorbis.

Obs: O arquivo de vídeo e gerado pelo programa SimpleScreenRecorder.


Eu não entendo de softwares de gravação, mas como você já observou que a simples troca do codec de audio resolve, troque nas configurações do programa, o ideal é que um vídeo possa ser reproduzido em qualquer player ou dispositivo.

Sobre ser VM não acho que seja o problema, se assim fosse não conseguiria ouvir audio algum.


7. Re: Parole tem suporte a codec de áudio Vorbis

Morpheus
Minions

(usa Nenhuma)

Enviado em 17/08/2019 - 22:21h


Obrigado em responde ao tópico.


A origem do problema já foi identificado

Uma alternativa realmente seria a troca do codec de áudio que resolveria o problema.

Poderia testar o programa SimpleScreenRecorder com o codec de áudio Vorbis no Parole ai... para ver se o problema é geral ou algo isolado somente aqui.

Queria sabe se o problema esta na instalação do Parole ou ele realmente não tem suporte a codec de áudio Vorbis.



8. Re: Parole tem suporte a codec de áudio Vorbis

edps
edps

(usa Slackware)

Enviado em 18/08/2019 - 20:27h


Minions escreveu:

Poderia testar o programa SimpleScreenRecorder com o codec de áudio Vorbis no Parole ai... para ver se o problema é geral ou algo isolado somente aqui.



Testei aqui e funcionou:

Sistema: Slackware Current
SimpleScreenRecorder: 0.3.11

Recipiente: Matroska (MKV)
Codec de Vídeo: VP8 * não estou com o x264 instalado
Codec de Audio: Vorbis


Gstreamer do Sistema:

gst-plugins-base-1.16.0-x86_64-1
gst-plugins-base0-0.10.36-x86_64-3
gst-plugins-good-1.16.0-x86_64-1
gst-plugins-good0-0.10.31-x86_64-3
gst-plugins-libav-1.16.0-x86_64-2
gstreamer-1.16.0-x86_64-1
gstreamer0-0.10.36-x86_64-2

Pacotes do Gstreamer instalados do SlackBuilds:

gst-plugins-bad-1.16.0-x86_64-1ponce
gst-plugins-ugly-1.16.0-x86_64-1ponce
gst0-ffmpeg-0.10.13-x86_64-1ponce
gst0-plugins-ugly-0.10.19-x86_64-2ponce
gst0-python-0.10.22-x86_64-1ponce

O FFMPEG já vem por padrão no Slack Current.


9. Re: Parole tem suporte a codec de áudio Vorbis

Morpheus
Minions

(usa Nenhuma)

Enviado em 18/08/2019 - 20:49h

edps escreveu:


Minions escreveu:

Poderia testar o programa SimpleScreenRecorder com o codec de áudio Vorbis no Parole ai... para ver se o problema é geral ou algo isolado somente aqui.



Testei aqui e funcionou:

Sistema: Slackware Current
SimpleScreenRecorder: 0.3.11

Recipiente: Matroska (MKV)
Codec de Vídeo: VP8 * não estou com o x264 instalado
Codec de Audio: Vorbis


Gstreamer do Sistema:

gst-plugins-base-1.16.0-x86_64-1
gst-plugins-base0-0.10.36-x86_64-3
gst-plugins-good-1.16.0-x86_64-1
gst-plugins-good0-0.10.31-x86_64-3
gst-plugins-libav-1.16.0-x86_64-2
gstreamer-1.16.0-x86_64-1
gstreamer0-0.10.36-x86_64-2

Pacotes do Gstreamer instalados do SlackBuilds:

gst-plugins-bad-1.16.0-x86_64-1ponce
gst-plugins-ugly-1.16.0-x86_64-1ponce
gst0-ffmpeg-0.10.13-x86_64-1ponce
gst0-plugins-ugly-0.10.19-x86_64-2ponce
gst0-python-0.10.22-x86_64-1ponce

O FFMPEG já vem por padrão no Slack Current.




Obrigado em responde ao tópico.

Testei assim (MKV+ Vorbis) funcionou também no Parole

Recipiente: Matroska (MKV)
Codec de Vídeo: VP8 * não estou com o x264 instalado
Codec de Audio: Vorbis


Só não funciona assim (mp4 + Vorbis)

https://uploaddeimagens.com.br/imagens/1-png-f474395b-3131-456a-af8f-4c9b93acb6fd

https://uploaddeimagens.com.br/imagens/2-png-05dbdc2a-a2d2-4e4e-91d0-6cf6112dc9ef




Gstreamer do Sistema:

gst-plugins-base-1.16.0-x86_64-1 => gst-plugins-base-1.6.4-x86_64-1
gst-plugins-base0-0.10.36-x86_64-3 => gst-plugins-base0-0.10.36-x86_64-2
gst-plugins-good-1.16.0-x86_64-1 => gst-plugins-good-1.6.4-x86_64-1
gst-plugins-good0-0.10.31-x86_64-3 => gst-plugins-good0-0.10.31-x86_64-2
gst-plugins-libav-1.16.0-x86_64-2 => Falta
gstreamer-1.16.0-x86_64-1 => gstreamer-1.6.4-x86_64-1
gstreamer0-0.10.36-x86_64-2 => gstreamer0-0.10.36-x86_64-1

Pacotes do Gstreamer instalados do SlackBuilds:

gst-plugins-bad-1.16.0-x86_64-1ponce => gst-plugins-bad-1.6.2-x86_64-2_SBo
gst-plugins-ugly-1.16.0-x86_64-1ponce => gst-plugins-ugly-1.6.2-x86_64-1_SBo
gst0-ffmpeg-0.10.13-x86_64-1ponce => gst0-ffmpeg-0.10.13-x86_64-1_SBo
gst0-plugins-ugly-0.10.19-x86_64-2ponce => Falta
gst0-python-0.10.22-x86_64-1ponce => gst0-python-0.10.22-x86_64-1_SBo

O FFMPEG já vem por padrão no Slack Current. => ffmpeg-3.2.4-x86_64-1_SBo



# slackpkg file-search gst-plugins-libav

Looking for gst-plugins-libav in package list. Please wait... |DONE

No packages contains "gst-plugins-libav" file.


# slackpkg file-search gst0-plugins-ugly

Looking for gst0-plugins-ugly in package list. Please wait... DONE

No packages contains "gst0-plugins-ugly" file.



10. Re: Parole tem suporte a codec de áudio Vorbis

edps
edps

(usa Slackware)

Enviado em 18/08/2019 - 21:18h


Minions escreveu:

# slackpkg file-search gst-plugins-libav

Looking for gst-plugins-libav in package list. Please wait... |DONE

No packages contains "gst-plugins-libav" file.


# slackpkg file-search gst0-plugins-ugly

Looking for gst0-plugins-ugly in package list. Please wait... DONE

No packages contains "gst0-plugins-ugly" file.


Esses são os pacotes do Gstreamer no 14.2:

1	slackware/l	gst-plugins-base0-0.10.36-i486-2.txz	1320K	gst-plugins-base (base set of GStreamer plugins, v0)
2 slackware/l gst-plugins-base-1.6.4-i586-1.txz 1704K gst-plugins-base (base set of GStreamer plugins)
3 slackware/l gst-plugins-good0-0.10.31-i586-2.txz 1064K gst-plugins-good (good set of GStreamer plugins, v0)
4 slackware/l gst-plugins-good-1.6.4-i586-1.txz 1636K gst-plugins-good (good set of GStreamer plugins)
5 slackware/l gstreamer0-0.10.36-i486-1.txz 1336K GStreamer (streaming multimedia framework, v0)
6 slackware/l gstreamer-1.6.4-i586-1.txz 1740K GStreamer (streaming multimedia framework)
7 slackware/l phonon-gstreamer-4.8.2-i486-1.txz 116K phonon-gstreamer (gstreamer backend for phonon)
8 slackware/l qt-gstreamer-1.2.0-i486-1.txz 248K qt-gstreamer (C++ bindings for gstreamer)


E numa instalação padrão, todos devem estar instalados.

O que você precisa é deste:

https://slackbuilds.org/repository/14.2/multimedia/gst-libav/

* que é dependência do Parole, veja se está instalado:

# ls /var/log/packages/ | grep gst-libav